Subject: Re: Progressing BFD authentication documents

From: Jeffrey Haas <[email-masked]>
Date: Tue, 2 Jul 2019 14:37:15 -0400

Working Group,

A followup on this item.

Currently, the status is identical to that which was last posted.  Mahesh
did make contact with Ciena IPR holders regarding the state of the license.
It is their belief that their disclosure is consistent with similar IPR
filed against BFD.  Citing two similar ones:

https://datatracker.ietf.org/ipr/516/
https://datatracker.ietf.org/ipr/1419/

It also appears to be their belief that the current wording doesn't require
that a license fee is due.  However, this is private commentary.

At this point, my recommendation to the working group is we decide if we'll
proceed with the publication process.  Let's use this time prior to IETF 105
to discuss any pending issues on these documents.

-- Jeff

On Sat, Feb 16, 2019 at 12:07:40PM -0500, Jeffrey Haas wrote:
> Working Group,
> 
> On March 28, 2018, we started Working Group Last Call on the following document
> bundle:
> 
>   draft-ietf-bfd-secure-sequence-numbers
>   draft-ietf-bfd-optimizing-authentication
>   draft-ietf-bfd-stability
> 
> The same day, Mahesh Jethanandani acknowledged there was pending IPR
> declarations against these drafts.  An IPR declaration was finally posted on
> November 1, 2018.  In particular, it notes a patent.  The licenseing is
> RAND.  
> 
> https://datatracker.ietf.org/ipr/3328/
> 
> In the time since the WGLC was requested, there were a number of technical
> comments made on these drafts.  It's my belief that all substantial
> technical comments had been addressed in the last posted version of these
> documents.  Note that there was one lingering comment about Yang
> considerations for the BFD module with regard to enabling this optimized
> authentication mode which can be dealt with separably.
> 
> The chairs did not carry out a further consensus call to ensure that there
> are no further outstanding technical issues.
> 
> On November 21, Greg Mirsky indicated an objection to progressing the
> document due to late disclosure.
> 
> https://mailarchive.ietf.org/arch/msg/rtg-bfd/u8rvWwvDWRKI3jseGHecAB9WtDo
> 
> Since we are a little over a month prior to the upcoming IETF 104, this
> seems a good time to try to decide how the Working Group shall finish this
> work.  Since we are meeting in Prague, this may progress to microphone
> conversation.
> 
> For the moment, the chairs' perceived status of the documents are:
> - No pending technical issues with the documents with one known issue.
> - Concerns over late disclosure of IPR.
> - No solid consensus from the Working Group that we're ready to proceed.
>   This part may be covered by a future consensus call, but let's hear list
>   discussion first.
> 
> -- Jeff